<?php
/**
 * File containing the GUIFactory class.
 * 
 * @category Class
 * @package PHPSupportTickets
 * @author Ian Warner, <iwarner@triangle-solutions.com> 
 * @author Nicolas Connault, <nicou@sweetpeadesigns.com.au> 
 * @copyright (C) 2001 Triangle Solutions Ltd
 * @version CVS: $Id: factory.GUI.php,v 1.4 2005/08/19 13:37:26 nicconn Exp $
 * @since File available since Release 1.1.1.1
 * \\||
 */

/**
* user defined includes.
* @include
*/

require_once('class.AdminGUI.php');
require_once('class.ClientGUI.php');
require_once('class.ModGUI.php');
require_once('class.LoginGUI.php');
require_once('classes/class.User.php');
require_once('classes/static/static.MailMan.php');
/**
 * Creates and returns an instance of the appropriate GUI page, based on session and request data
 * 
 * @access public
 * @package PHPSupportTicket
 */
class GUIFactory {
    /// --- FIELDS ---
   
    public static $absoluteURL;
    
    // --- METHODS ---
    /**
    * Returns an instance of a concrete implementation of the GUI class.
    * 
    * @access static
    * @param string $admin_type "Client", "Admin" or "Mod"
    * @param array $_REQUEST
    * @return object
    */
    public static function getInstance($admin_type, $request) {
        $GUI = $admin_type . 'GUI';
        return new $GUI(GUIFactory::$absoluteURL, $request);
    }
} 
?>
