<?php
/**
 * File containing the index page.
 * 
 * @category Class
 * @package PHPSupportTickets
 * @author Ian Warner, <iwarner@triangle-solutions.com> 
 * @author Nicolas Connault, <nicou@sweetpeadesigns.com.au> 
 * @copyright (C) 2001 Triangle Solutions Ltd
 * @version CVS: $Id: index.php,v 1.16 2005/09/02 01:23:32 nicconn Exp $
 * @since File available since Release 1.1.1.1
 * \\||
 */

//  Crash and give error message if php version < 5.0
if (version_compare(phpversion(), '5.0.1') == -1) {
   die("This program is incompatible with your PHP version (" . phpversion() . "). Version 5.0.1+ needed");
}
require_once('include/config.php');
GUIFactory::$absoluteURL = "http://192.168.1.5/triangle/phpsupporttickets/demo/";
session_start();
error_reporting();

$myGUI = null;

if (!isset($_SESSION['GUI']) || isset($_REQUEST['logout'])) {
    // Upon first visit or logout, show login screen
    $myGUI = GUIFactory::getInstance('Login', array());
} elseif (isset($_REQUEST['login'])) {
    // If login info sent, verify user and create appropriate GUI
    $admin_type = FormHandler::verify_login($_REQUEST);
    if (!$admin_type) {
        // Validation failed. keep Login GUI and output errors
        $myGUI = unserialize($_SESSION['GUI']);
        $myGUI->update($_REQUEST, $_FILES);
    } else {
        // Validation successful, create correct GUI
        $myGUI = GUIFactory::getInstance($admin_type, $_REQUEST);
    } 
} elseif (isset($_REQUEST['register'])) {
    // If register info is sent from LoginGUI, try to add user
    $result = FormHandler::register_createuser($_REQUEST);
    if ($result === false || is_array($result)) {
        $myGUI = unserialize($_SESSION['GUI']);
        $myGUI->update($_REQUEST, $_FILES);
    } else {
        $myGUI = GUIFactory::getInstance('Client', $_REQUEST);
    } 
} else {
    $myGUI = unserialize($_SESSION['GUI']);
    $myGUI->update($_REQUEST, $_FILES);
} 

$myGUI->output();
$_SESSION['GUI'] = serialize($myGUI);
?>